// Опишите своими словами как работает цикл forEach.
// Цикла forEach нету 
// Есть метод forEach - который перебирает все вложенные элементы масива на котором он вызван
// и к каждому из них применяет калбэк функцию которая имеет три параметра
// сам элемент, индекс элемента, и сам масив

'use strict';
// Написать функцию filterBy(), которая будет принимать в себя 2 аргумента. Первый аргумент - массив, который будет содержать в себе любые данные, второй аргумент - тип данных.
// Функция должна вернуть новый массив, который будет содержать в себе все данные, которые были переданы в аргумент, за исключением тех, тип которых был передан вторым аргументом. То есть, если передать массив ['hello', 'world', 23, '23', null], и вторым аргументом передать 'string', то функция вернет массив [23, null].

function filterBy(arr, type) {
	let res = [];

	arr.forEach(element => {
		if (typeof element != type) {
			res.push(element);
		}
	});

	return res;
};

console.log(filterBy([1, 2, 3, NaN, undefined, `sdf`, true], `number`));